%%
%% This is file `fithesis-mu-econ.sty',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% econ.dtx 
%% 
%% Copyright 1998--2021  Daniel Marek (DM), Jan Pavlovič (JP),
%%                       Vít Novotný (VN), Tereza Vrabcová (TV),
%%                       Petr Sojka (PS)
%% http://www.fi.muni.cz/tech/unix/tex/fithesis.xhtml
%% Faculty of Informatics, Masaryk University (Brno, Czech Republic)
%% 
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version
%% 1.3 of this license or (at your option) any later version.
%% The latest version of this license is available at
%% 
%%   http://www.latex-project.org/lppl.txt
%% 
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%% 
%% This work has the LPPL maintenance status `maintained'.
%% 
%% The Current Maintainer of this work is Vít Novotný (VN).
%% Send bug reports, requests for additions and questions
%% either to the fithesis discussion forum at
%% 
%%   http://is.muni.cz/auth/df/fithesis-sazba/
%% 
%% or to the e-mail address <witiko@mail.muni.cz>.
%% 
%% 
%% MODIFICATION ADVICE:
%% 
%% If you want to customize this file, it is best to make a copy of
%% the source file(s) from which it was produced.  Use a different
%% name for your copy(ies) and modify the copy(ies); this will ensure
%% that your modifications do not get overwritten when you install a
%% new release of the standard system.  You should also ensure that
%% your modified source file does not generate any modified file with
%% the same name as a standard file.
%% 
%% You will also need to produce your own, suitably named, .ins file to
%% control the generation of files from your source file; this file
%% should contain your own preambles for the files it generates, not
%% those in the standard .ins files.
%% 
%% The names of the source files used are shown above.
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{fithesis/style/mu/fithesis-mu-econ}[2021/04/24]
\thesis@color@setup{
  links={HTML}{F27995},
  tableEmph={HTML}{E8B88B},
  tableOdd={HTML}{F5ECEB},
  tableEven={HTML}{EBD8D5}}
\thesis@bibliography@setup{
  style=iso-authoryear,
  sorting=nty}
\thesis@bibliography@load
\thesis@require{tikz}
\thesis@require{geometry}
\thesis@require{array}
\geometry{top=25mm,bottom=20mm,left=25mm,right=25mm,includeheadfoot}
\thesis@blocks@assignment@hideIfDigital@false
\thesis@blocks@titlePage@field@false
\thesis@xpatch\thesis@blocks@cover{%
  \vfill
  {\bf\thesis@titlePage@Huge\thesis@TeXtitle\par}%
  \vspace{1.5cm}%
  {\sf\thesis@titlePage@Large\thesis@@{typeName}\par}%
  \vspace{1.5cm}%
  {\sf\thesis@titlePage@LARGE\thesis@upper{author}\par}%
  \vfill\vfill\vfill\vfill
  {\sf\thesis@titlePage@large\thesis@place, \thesis@@{semester}\par}%
}{%
  \vfill
  {\bf\thesis@titlePage@Huge\thesis@@{typeName}\par}%
  \vfill
  {\sf\thesis@titlePage@large\thesis@place
   \ \sf\thesis@year\hfill\thesis@author\par}%
}
\def\thesis@blocks@frontMatter{%
  \thesis@blocks@clear
  \newgeometry{top=25mm,bottom=20mm,left=35mm,
    right=15mm, includeheadfoot}
  \pagestyle{empty}
  \parindent 1.5em
  \setcounter{page}{1}
  \pagenumbering{arabic}}
\def\thesis@blocks@mainMatter{%
  \thesis@blocks@clear
  \newgeometry{top=25mm,bottom=20mm,left=35mm,
    right=15mm, includeheadfoot}
  \pagestyle{thesisheadings}
  \parindent 1.5em\relax}
\def\thesis@blocks@tables{%
  \thesis@blocks@lot
  \thesis@blocks@lof}
\ifx\thesis@blocks@lot\relax\else
  \def\thesis@blocks@lot{%
    \thesis@blocks@clear
    \phantomsection
    \addcontentsline{toc}{chapter}{\listtablename}%
    \listoftables}
\fi

\ifx\thesis@blocks@lof\relax\else
  \def\thesis@blocks@lof{%
    \thesis@blocks@clear
    \phantomsection
    \addcontentsline{toc}{chapter}{\listfigurename}%
    \listoffigures}
\fi
\def\thesis@blocks@declaration{%
  \begin{alwayssingle}%
    \thesis@blocks@clear
    \leavevmode\vfill
    % Start the new chapter without clearing any page.
    {\let\thesis@blocks@clear\relax
    \chapter*{\thesis@@{declarationTitle}}}%
    \thesis@declaration
    \vskip 2cm%
    {\let\@A\relax\newlength{\@A}
      \settowidth{\@A}{\thesis@@{authorSignature}}
      \setlength{\@A}{\@A+1cm}
    \noindent\thesis@place, \thesis@@{formattedDate}\hfill
    \begin{minipage}[t]{\@A}%
      \centering\rule{\@A}{1pt}\\
      \thesis@@{authorSignature}\par
    \end{minipage}}
  \end{alwayssingle}}
\def\thesis@blocks@keywords{%
  \begin{alwayssingle}%
    \vskip 40\p@
    {\let\thesis@blocks@clear\relax
    \chapter*{\thesis@@{keywordsTitle}}%
    \noindent\thesis@TeXkeywords}%
  \end{alwayssingle}}
\def\thesis@blocks@keywordsEn{%
  \ifthesis@english\else
    {\thesis@selectLocale{english}%
    \begin{alwayssingle}%
      \vskip 20\p@
      {\let\thesis@blocks@clear\relax%
      \chapter*{\thesis@english@keywordsTitle}}%
      \noindent\thesis@TeXkeywordsEn
    \end{alwayssingle}}%
  \fi}
\thesis@def@extra[{
  \thesis@placeholder@extra@summary
}]{summary}

\def\thesis@blocks@summary{%
  \begin{alwayssingle}%
    \thesis@blocks@clear
    {\let\thesis@blocks@clear\relax
    \chapter*{\thesis@@{summaryTitle}}}%
    \noindent\thesis@extra@summary
  \end{alwayssingle}}
\def\thesis@blocks@preamble{%
  \thesis@blocks@coverMatter
    \thesis@blocks@cover
  \thesis@blocks@frontMatter
    \thesis@blocks@titlePage
    \thesis@blocks@seal
    \thesis@blocks@bibEntry
    \thesis@blocks@abstract
    \thesis@blocks@bibEntryEn
    \thesis@blocks@abstractEn
    \thesis@blocks@declaration
    \thesis@blocks@thanks
    \thesis@blocks@toc
    \thesis@blocks@tables}
\def\thesis@blocks@postamble{%
  \ifx\thesis@doctoral\thesis@type\thesis@blocks@summary\else\fi
  \thesis@blocks@bibliography
}
\endinput
%%
%% End of file `fithesis-mu-econ.sty'.
